/*
 * Creado el 21-ene-04
 *
 * Para cambiar la plantilla para este archivo generado vaya a
 * Ventana&gt;Preferencias&gt;Java&gt;Generación de código&gt;Código y comentarios
 */
package es.ejie.frmk.presentacion.sesiondatos.utilidades;

import java.io.Serializable;

/**
 * @version 1.0
 * Fecha: 21-ene-04
 */
public class Q70DatosDeSqlCampo implements Serializable {

	private String nombreSqlCampo, tipoSqlCampo, nombreContextoEquivalente;
	private boolean isKey, isNoPersistente;

	public Q70DatosDeSqlCampo(String nombreSqlCampo, String tipoSqlCampo, String nombreContextoEquivalente, boolean isKey, boolean isNoPersistente) {
		super();
		this.nombreSqlCampo = nombreSqlCampo;
		this.tipoSqlCampo = tipoSqlCampo;
		this.nombreContextoEquivalente = nombreContextoEquivalente;
		this.isKey = isKey;
		this.isNoPersistente = isNoPersistente;
	}
	public boolean isNoPersistente() {
		return isNoPersistente;
	}
	public boolean isKey() {
		return isKey;
	}
	public String getNombreContextoEquivalente() {
		return nombreContextoEquivalente;
	}
	public String getNombreSqlCampo() {
		return nombreSqlCampo;
	}
	public String getTipoSqlCampo() {
		return tipoSqlCampo;
	}
}
